Bug 580600 - Regression in wxWidgets 2.8 causing a segfault
Summary: Regression in wxWidgets 2.8 causing a segfault
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-08 15:38 UTC by Haïkel Guémar
Modified: 2010-05-15 20:43 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-14 01:07:19 UTC


Attachments (Terms of Use)
minimalistic c++ test case (352 bytes, text/x-c++src)
2010-04-08 15:39 UTC, Haïkel Guémar
no flags Details

Description Haïkel Guémar 2010-04-08 15:38:30 UTC
Description of problem:
regression in wxWidgets 2.8, calling GetFileTypeFromExtension method on wxMimeTypesManager cause a segfault

Version-Release number of selected component (if applicable):
2.8 (works fine with 2.6)

How reproducible:
python -c "import wx; wx.TheMimeTypesManager.GetFileTypeFromExtension('pdf')"
I attached a minimalistic sample in C++

Steps to Reproduce:
1. call GetFileTypeFromExtension on wxMimeTypesManager object
2. segfault
3.
  
Actual results:
segmentation fault

Expected results:
return a wxFileType object or null pointer

Additional info:
looks like an upstream bug, i was able to reproduce this on a debian box using wx 2.8 (works fine with 2.6)

Comment 1 Haïkel Guémar 2010-04-08 15:39:36 UTC
Created attachment 405333 [details]
minimalistic c++ test case

Comment 2 Dan Horák 2010-04-09 12:10:11 UTC
This is clearly not Fedora specific, so could you please report the issue into http://trac.wxwidgets.org/ ?

Comment 3 Haïkel Guémar 2010-04-09 12:32:47 UTC
for follow up: http://trac.wxwidgets.org/ticket/11927

Comment 4 Dan Horák 2010-04-12 06:43:12 UTC
The fix was committed into upstream and it will be either included in the upcoming 2.8.11 (to be released soon) or I will add it as a patch on top of 2.8.11.

Comment 5 Haïkel Guémar 2010-04-12 07:43:27 UTC
That's fine with me, i could wait until 2.8.11 is released. Thanks to both you and upstream.

Comment 6 Fedora Update System 2010-04-26 17:54:39 UTC
wxGTK-2.8.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc12

Comment 7 Fedora Update System 2010-04-26 17:54:49 UTC
wxGTK-2.8.11-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc11

Comment 8 Fedora Update System 2010-04-26 17:54:57 UTC
wxGTK-2.8.11-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el4

Comment 9 Fedora Update System 2010-04-26 17:55:06 UTC
wxGTK-2.8.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc13

Comment 10 Fedora Update System 2010-04-26 17:55:15 UTC
wxGTK-2.8.11-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el5

Comment 11 Fedora Update System 2010-04-26 23:24:09 UTC
wxGTK-2.8.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el5

Comment 12 Fedora Update System 2010-04-26 23:26:07 UTC
wxGTK-2.8.11-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.el4

Comment 13 Fedora Update System 2010-04-27 05:49:29 UTC
wxGTK-2.8.11-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc13

Comment 14 Fedora Update System 2010-04-28 01:11:07 UTC
wxGTK-2.8.11-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc11

Comment 15 Fedora Update System 2010-04-28 01:11:29 UTC
wxGTK-2.8.11-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxGTK'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wxGTK-2.8.11-1.fc12

Comment 16 Fedora Update System 2010-05-14 01:07:09 UTC
wxGTK-2.8.11-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-14 01:07:40 UTC
wxGTK-2.8.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-15 20:25:23 UTC
wxGTK-2.8.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-05-15 20:32:50 UTC
wxGTK-2.8.11-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-05-15 20:43:51 UTC
wxGTK-2.8.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.